%global debug_package %{nil}

%if 0%{?fedora} >= 35
%bcond_without guile30
%else
%bcond_with guile30
%endif

# This is a temporary work-around until the fixes for
# https://github.com/rpm-software-management/rpm/issues/1765 land in
# Fedora.
%global __brp_strip /bin/true

%global srcname lib

Name:           guile-%{srcname}
Version:        0.2.8.1
Release:        1%{?dist}
Summary:        A collection of generic pure-scheme Guile modules

License:        GPLv3
URL:            https://www.nongnu.org/guile-lib
Source0:        https://download.savannah.nongnu.org/releases/guile-lib/guile-lib-%{version}.tar.gz

BuildRequires:  gcc

%global _description %{expand:
guile-lib is intended as an accumulation place for pure-scheme Guile modules,
allowing for people to cooperate integrating their generic Guile modules into a
coherent library. Think "a down-scaled, limited-scope CPAN for Guile".

Also, it can be seen as a code staging area for Guile; the Guile developers
could decide to integrate some of the code into guile-core. An example for a
possible candidate is SRFI-35.}

%description %_description


%package -n guile22-%{srcname}
Summary:        A collection of generic pure-scheme Guile modules
BuildRequires:  guile22-devel
Requires:       guile22
Recommends:     guile-%{srcname}-doc
Provides:       guile-%{srcname} = %{version}-%{release}
Obsoletes:      guile-%{srcname} <= 0.2.7-1

%description -n guile22-%{srcname} %_description


%if %{with guile30}
%package -n guile30-%{srcname}
Summary:        A collection of generic pure-scheme Guile modules
BuildRequires:  guile30-devel
Requires:       guile30
Recommends:     guile-%{srcname}-doc

%description -n guile30-%{srcname} %_description
%endif


%package doc
Summary:        Documentation for guile-lib
BuildRequires:  texinfo

%description doc %_description


%prep
%setup -qc
mv %{name}-%{version} guile22

%if %{with guile30}
cp -a guile22 guile30
%endif


%build
pushd guile22
GUILE=/usr/bin/guile2.2
export GUILE
GUILD=/usr/bin/guild2.2
export GUILD
GUILE_EFFECTIVE_VERSION=2.2
export GUILE_EFFECTIVE_VERSION
%configure --with-guile-site=yes
%make_build
popd

%if %{with guile30}
pushd guile30
GUILE=/usr/bin/guile3.0
export GUILE
GUILD=/usr/bin/guild3.0
export GUILD
GUILE_EFFECTIVE_VERSION=3.0
export GUILE_EFFECTIVE_VERSION
%configure --with-guile-site=yes
%make_build
popd
%endif


%install
rm -rf $RPM_BUILD_ROOT

pushd guile22
%make_install moddir=%{_datadir}/guile/site/2.2
popd

%if %{with guile30}
pushd guile30
%make_install moddir=%{_datadir}/guile/site/3.0
popd
%endif

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm %{buildroot}/%{_infodir}/dir
rm %{buildroot}/%{_libdir}/pkgconfig/guile-lib-1.0.pc


%files -n guile22-%{srcname}
%license guile22/COPYING guile22/COPYING.GPL guile22/COPYING.LGPL
%doc guile22/AUTHORS guile22/ChangeLog guile22/INSTALL guile22/NEWS guile22/README guile22/TODO
%{_libdir}/guile/2.2/site-ccache/apicheck.go
%{_libdir}/guile/2.2/site-ccache/compat/guile-2.go
%{_libdir}/guile/2.2/site-ccache/config/load.go
%{_libdir}/guile/2.2/site-ccache/container/async-queue.go
%{_libdir}/guile/2.2/site-ccache/container/delay-tree.go
%{_libdir}/guile/2.2/site-ccache/container/nodal-tree.go
%{_libdir}/guile/2.2/site-ccache/debugging/assert.go
%{_libdir}/guile/2.2/site-ccache/debugging/time.go
%{_libdir}/guile/2.2/site-ccache/graph/topological-sort.go
%{_libdir}/guile/2.2/site-ccache/htmlprag.go
%{_libdir}/guile/2.2/site-ccache/io/string.go
%{_libdir}/guile/2.2/site-ccache/logging/logger.go
%{_libdir}/guile/2.2/site-ccache/logging/port-log.go
%{_libdir}/guile/2.2/site-ccache/logging/rotating-log.go
%{_libdir}/guile/2.2/site-ccache/match-bind.go
%{_libdir}/guile/2.2/site-ccache/math/minima.go
%{_libdir}/guile/2.2/site-ccache/math/primes.go
%{_libdir}/guile/2.2/site-ccache/md5.go
%{_libdir}/guile/2.2/site-ccache/os/process.go
%{_libdir}/guile/2.2/site-ccache/scheme/documentation.go
%{_libdir}/guile/2.2/site-ccache/scheme/kwargs.go
%{_libdir}/guile/2.2/site-ccache/search/basic.go
%{_libdir}/guile/2.2/site-ccache/string/completion.go
%{_libdir}/guile/2.2/site-ccache/string/soundex.go
%{_libdir}/guile/2.2/site-ccache/string/transform.go
%{_libdir}/guile/2.2/site-ccache/string/wrap.go
%{_libdir}/guile/2.2/site-ccache/term/ansi-color.go
%{_libdir}/guile/2.2/site-ccache/texinfo/nodal-tree.go
%{_libdir}/guile/2.2/site-ccache/text/parse-lalr.go
%{_libdir}/guile/2.2/site-ccache/unit-test.go
%{_datadir}/guile/site/2.2/apicheck.scm
%{_datadir}/guile/site/2.2/compat/guile-2.scm
%{_datadir}/guile/site/2.2/config/load.scm
%{_datadir}/guile/site/2.2/container/async-queue.scm
%{_datadir}/guile/site/2.2/container/delay-tree.scm
%{_datadir}/guile/site/2.2/container/nodal-tree.scm
%{_datadir}/guile/site/2.2/debugging/assert.scm
%{_datadir}/guile/site/2.2/debugging/time.scm
%{_datadir}/guile/site/2.2/graph/topological-sort.scm
%{_datadir}/guile/site/2.2/htmlprag.scm
%{_datadir}/guile/site/2.2/io/string.scm
%{_datadir}/guile/site/2.2/logging/logger.scm
%{_datadir}/guile/site/2.2/logging/port-log.scm
%{_datadir}/guile/site/2.2/logging/rotating-log.scm
%{_datadir}/guile/site/2.2/match-bind.scm
%{_datadir}/guile/site/2.2/math/minima.scm
%{_datadir}/guile/site/2.2/math/primes.scm
%{_datadir}/guile/site/2.2/md5.scm
%{_datadir}/guile/site/2.2/os/process.scm
%{_datadir}/guile/site/2.2/scheme/documentation.scm
%{_datadir}/guile/site/2.2/scheme/kwargs.scm
%{_datadir}/guile/site/2.2/search/basic.scm
%{_datadir}/guile/site/2.2/string/completion.scm
%{_datadir}/guile/site/2.2/string/soundex.scm
%{_datadir}/guile/site/2.2/string/transform.scm
%{_datadir}/guile/site/2.2/string/wrap.scm
%{_datadir}/guile/site/2.2/term/ansi-color.scm
%{_datadir}/guile/site/2.2/texinfo/nodal-tree.scm
%{_datadir}/guile/site/2.2/text/parse-lalr.scm
%{_datadir}/guile/site/2.2/unit-test.scm

%if %{with guile30}
%files -n guile30-%{srcname}
%license guile30/COPYING guile30/COPYING.GPL guile30/COPYING.LGPL
%doc guile30/AUTHORS guile30/ChangeLog guile30/INSTALL guile30/NEWS guile30/README guile30/TODO
%{_libdir}/guile/3.0/site-ccache/apicheck.go
%{_libdir}/guile/3.0/site-ccache/compat/guile-2.go
%{_libdir}/guile/3.0/site-ccache/config/load.go
%{_libdir}/guile/3.0/site-ccache/container/async-queue.go
%{_libdir}/guile/3.0/site-ccache/container/delay-tree.go
%{_libdir}/guile/3.0/site-ccache/container/nodal-tree.go
%{_libdir}/guile/3.0/site-ccache/debugging/assert.go
%{_libdir}/guile/3.0/site-ccache/debugging/time.go
%{_libdir}/guile/3.0/site-ccache/graph/topological-sort.go
%{_libdir}/guile/3.0/site-ccache/htmlprag.go
%{_libdir}/guile/3.0/site-ccache/io/string.go
%{_libdir}/guile/3.0/site-ccache/logging/logger.go
%{_libdir}/guile/3.0/site-ccache/logging/port-log.go
%{_libdir}/guile/3.0/site-ccache/logging/rotating-log.go
%{_libdir}/guile/3.0/site-ccache/match-bind.go
%{_libdir}/guile/3.0/site-ccache/math/minima.go
%{_libdir}/guile/3.0/site-ccache/math/primes.go
%{_libdir}/guile/3.0/site-ccache/md5.go
%{_libdir}/guile/3.0/site-ccache/os/process.go
%{_libdir}/guile/3.0/site-ccache/scheme/documentation.go
%{_libdir}/guile/3.0/site-ccache/scheme/kwargs.go
%{_libdir}/guile/3.0/site-ccache/search/basic.go
%{_libdir}/guile/3.0/site-ccache/string/completion.go
%{_libdir}/guile/3.0/site-ccache/string/soundex.go
%{_libdir}/guile/3.0/site-ccache/string/transform.go
%{_libdir}/guile/3.0/site-ccache/string/wrap.go
%{_libdir}/guile/3.0/site-ccache/term/ansi-color.go
%{_libdir}/guile/3.0/site-ccache/texinfo/nodal-tree.go
%{_libdir}/guile/3.0/site-ccache/text/parse-lalr.go
%{_libdir}/guile/3.0/site-ccache/unit-test.go
%{_datadir}/guile/site/3.0/apicheck.scm
%{_datadir}/guile/site/3.0/compat/guile-2.scm
%{_datadir}/guile/site/3.0/config/load.scm
%{_datadir}/guile/site/3.0/container/async-queue.scm
%{_datadir}/guile/site/3.0/container/delay-tree.scm
%{_datadir}/guile/site/3.0/container/nodal-tree.scm
%{_datadir}/guile/site/3.0/debugging/assert.scm
%{_datadir}/guile/site/3.0/debugging/time.scm
%{_datadir}/guile/site/3.0/graph/topological-sort.scm
%{_datadir}/guile/site/3.0/htmlprag.scm
%{_datadir}/guile/site/3.0/io/string.scm
%{_datadir}/guile/site/3.0/logging/logger.scm
%{_datadir}/guile/site/3.0/logging/port-log.scm
%{_datadir}/guile/site/3.0/logging/rotating-log.scm
%{_datadir}/guile/site/3.0/match-bind.scm
%{_datadir}/guile/site/3.0/math/minima.scm
%{_datadir}/guile/site/3.0/math/primes.scm
%{_datadir}/guile/site/3.0/md5.scm
%{_datadir}/guile/site/3.0/os/process.scm
%{_datadir}/guile/site/3.0/scheme/documentation.scm
%{_datadir}/guile/site/3.0/scheme/kwargs.scm
%{_datadir}/guile/site/3.0/search/basic.scm
%{_datadir}/guile/site/3.0/string/completion.scm
%{_datadir}/guile/site/3.0/string/soundex.scm
%{_datadir}/guile/site/3.0/string/transform.scm
%{_datadir}/guile/site/3.0/string/wrap.scm
%{_datadir}/guile/site/3.0/term/ansi-color.scm
%{_datadir}/guile/site/3.0/texinfo/nodal-tree.scm
%{_datadir}/guile/site/3.0/text/parse-lalr.scm
%{_datadir}/guile/site/3.0/unit-test.scm
%endif

%files doc
%{_datadir}/info/guile-library.info.gz
